Installing Integration Services on 2008 Datacenter x64 fails

Running Hyper-V on Windows Server 2012R2.

When doing the install via vmm on a 2008 Datacenter x64 guest I get the error:
Change properties of virtual machine: failed

When mounting vmguest.iso that is found on one of the hosts and trying to install, I get the error:
hyper-v integration services is not supported on this version of windows

Any tips?
LVL 2
itniflAsked:
Who is Participating?
I wear a lot of hats...

"The solutions and answers provided on Experts Exchange have been extremely helpful to me over the last few years. I wear a lot of hats - Developer, Database Administrator, Help Desk, etc., so I know a lot of things but not a lot about one thing. Experts Exchange gives me answers from people who do know a lot about one thing, in a easy to use platform." -Todd S.

Shabarinath RamadasanInfrastructure ArchitectCommented:
Hi itnifl,

Could you please check if the OS is having Windows Server 2008 with Service Pack 2 (SP 2) ?
My assumption is service pack is missing and hence this error.

Let me know.

Cheers!
Shaba
0
itniflAuthor Commented:
In this particular setting the server needs to be SP1. However, I connected it to the internet and ran windows update, after wich Integrations Services installed automatically.
0
itniflAuthor Commented:
I've requested that this question be closed as follows:

Accepted answer: 0 points for itnifl's comment #a40290065

for the following reason:

Solved
0
Simplify Active Directory Administration

Administration of Active Directory does not have to be hard.  Too often what should be a simple task is made more difficult than it needs to be.The solution?  Hyena from SystemTools Software.  With ease-of-use as well as powerful importing and bulk updating capabilities.

Shabarinath RamadasanInfrastructure ArchitectCommented:
Hi Moderator,

I just verified this in my lab.
On a Windows Server 2012 HyperV Server, I made a Windows 2008 Datacenter edition with Sp1.
However, While trying to install integration service - it clearly states that unsupported gust operating system.

Not sure if the windows update updated the OS to Sp2 which worked. However, with SP1 - I dont think that we could install integration service.

Thanks,
Shaba
0
itniflAuthor Commented:
I will log in tomorrow at work and check it.
0
itniflAuthor Commented:
Please see the pictures. As you can see, the OS is 2008 Datacenter with SP1. It would be very odd if I were lying about this, so I don't really know what Shabarinath Ramadasan is assuming.

The error:
"hyper-v integration services is not supported on this version of windows"
is the original error I received that I am assuming Shabarinath Ramadasan received when trying to install Integration Services on SP1, thus he is confirming what I already know.

However, after running Windows Update on the server, Integration Services are obviously installed even if we are running SP1. I am guessing there has been added some patch that has fixed whatever issue needed so that IS would install, without changing the SP level.

The Windows VersionThe integration servicesThe integrations services install option greyed out after they now are activated
0

Experts Exchange Solution brought to you by

Your issues matter to us.

Facing a tech roadblock? Get the help and guidance you need from experienced professionals who care. Ask your question anytime, anywhere, with no hassle.

Start your 7-day free trial
Shabarinath RamadasanInfrastructure ArchitectCommented:
Thanks for clarifying !

Cheers.
Shaba
0
itniflAuthor Commented:
No problem! I would have given you the points if it were not for the fact that I myself use these questions and answers that are documented here in this site  later on to look up information. If I were to give the wrong answer, or an answer that is halway correct points, then I would be cluttering up my information pool and make it harder for myself later on :) But you are welcome to try again later on. I ask question frequently :)
0
It's more than this solution.Get answers and train to solve all your tech problems - anytime, anywhere.Try it for free Edge Out The Competitionfor your dream job with proven skills and certifications.Get started today Stand Outas the employee with proven skills.Start learning today for free Move Your Career Forwardwith certification training in the latest technologies.Start your trial today
Windows Server 2008

From novice to tech pro — start learning today.

Question has a verified solution.

Are you are experiencing a similar issue? Get a personalized answer when you ask a related question.

Have a better answer? Share it in a comment.